import { WeaTools } from "ecCom";
import { postFetch } from "../util/request";

//税率表列表
export const getTaxRateList = params => {
  return WeaTools.callApi("/api/bs/hrmsalary/taxrate/list", "get", params);
};

//删除税率表
export const deleteTaxRate = params => {
  return postFetch("/api/bs/hrmsalary/taxrate/delete", params);
};

//获取新建或者详情表单
export const getTaxRateForm = params => {
  return WeaTools.callApi("/api/bs/hrmsalary/taxrate/getForm", "get", params);
};

//新建税率表
export const saveTaxRate = params => {
  return postFetch("/api/bs/hrmsalary/taxrate/save", params);
};

//编辑税率表
export const updateTaxRate = params => {
  return postFetch("/api/bs/hrmsalary/taxrate/update", params);
};
